Index: trunk/src/lib/util/loading/dynamic_loader.h
===================================================================
--- trunk/src/util/loading/dynamic_loader.h	(revision 7167)
+++ trunk/src/lib/util/loading/dynamic_loader.h	(revision 7193)
@@ -7,5 +7,5 @@
 #define _DYNAMIC_LOADER_H
 
-#include "factory.h"
+#include "util/loading/factory.h"
 
 #include <string>
Index: trunk/src/lib/util/loading/factory.cc
===================================================================
--- trunk/src/util/loading/factory.cc	(revision 7167)
+++ trunk/src/lib/util/loading/factory.cc	(revision 7193)
@@ -15,5 +15,5 @@
 #define DEBUG_SPECIAL_MODULE DEBUG_MODULE_LOADING
 
-#include "factory.h"
+#include "util/loading/factory.h"
 
 //#include "shell_command.h"
Index: trunk/src/lib/util/loading/game_loader.cc
===================================================================
--- trunk/src/util/loading/game_loader.cc	(revision 7167)
+++ trunk/src/lib/util/loading/game_loader.cc	(revision 7193)
@@ -19,10 +19,10 @@
 
 #include "game_loader.h"
-#include "load_param.h"
+#include "util/loading/load_param.h"
 
 #include "shell_command.h"
 #include "campaign.h"
 
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 
 #include "event_handler.h"
Index: trunk/src/lib/util/loading/load_param.cc
===================================================================
--- trunk/src/util/loading/load_param.cc	(revision 7167)
+++ trunk/src/lib/util/loading/load_param.cc	(revision 7193)
@@ -16,5 +16,5 @@
 #define DEBUG_SPECIAL_MODULE DEBUG_MODULE_LOADING
 
-#include "load_param.h"
+#include "util/loading/load_param.h"
 #include "load_param_description.h"
 
Index: trunk/src/lib/util/loading/resource.cc
===================================================================
--- trunk/src/lib/util/loading/resource.cc	(revision 7193)
+++ trunk/src/lib/util/loading/resource.cc	(revision 7193)
@@ -0,0 +1,50 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "resource.h"
+
+using namespace std;
+
+
+/**
+ * standard constructor
+ * @todo this constructor is not jet implemented - do it
+*/
+Resource::Resource ()
+{
+   this->setClassID(CL_RESOURCE, "Resource");
+
+   /* If you make a new class, what is most probably the case when you write this file
+      don't forget to:
+       1. Add the new file new_class.cc to the ./src/Makefile.am
+       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
+
+      Advanced Topics:
+      - if you want to let your object be managed via the ObjectManager make sure to read
+        the object_manager.h header comments. You will use this most certanly only if you
+        make many objects of your class, like a weapon bullet.
+   */
+}
+
+
+/**
+ * standard deconstructor
+*/
+Resource::~Resource ()
+{
+  // delete what has to be deleted here
+}
Index: trunk/src/lib/util/loading/resource.h
===================================================================
--- trunk/src/lib/util/loading/resource.h	(revision 7193)
+++ trunk/src/lib/util/loading/resource.h	(revision 7193)
@@ -0,0 +1,32 @@
+/*!
+ * @file resource.h
+ * @brief Definition of ...
+*/
+
+#ifndef _RESOURCE_H
+#define _RESOURCE_H
+
+#include "base_object.h"
+#include "multi_type.h"
+
+
+// FORWARD DECLARATION
+
+
+
+//! A class for ...
+class Resource : virtual public BaseObject {
+
+ public:
+  Resource();
+  virtual ~Resource();
+
+  virtual bool load(const char* fileName, const MultiType& param1, const MultiType& param2);
+  virtual bool reload();
+  virtual bool unload();
+
+ private:
+
+};
+
+#endif /* _RESOURCE_H */
Index: trunk/src/lib/util/loading/resource_manager.cc
===================================================================
--- trunk/src/util/loading/resource_manager.cc	(revision 7167)
+++ trunk/src/lib/util/loading/resource_manager.cc	(revision 7193)
@@ -16,5 +16,5 @@
 #define DEBUG_SPECIAL_MODULE DEBUG_MODULE_LOAD
 
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 
 #include "substring.h"
@@ -592,44 +592,5 @@
     if (resource->count == 0)
     {
-      // deleting the Resource
-      switch(resource->type)
-      {
-#ifndef NO_MODEL
-        case OBJ:
-        case PRIM:
-          delete (Model*)resource->pointer;
-          break;
-        case MD2:
-          delete (MD2Data*)resource->pointer;
-          break;
-#endif /* NO_MODEL */
-#ifndef NO_AUDIO
-        case WAV:
-          delete (SoundBuffer*)resource->pointer;
-          break;
-        case OGG:
-          delete (OggPlayer*)resource->pointer;
-          break;
-#endif /* NO_AUDIO */
-#ifndef NO_TEXT
-        case TTF:
-          delete (Font*)resource->pointer;
-          break;
-#endif /* NO_TEXT */
-#ifndef NO_TEXTURES
-        case IMAGE:
-          delete (Texture*)resource->pointer;
-          break;
-#endif /* NO_TEXTURES */
-#ifndef NO_SHADERS
-        case SHADER:
-          delete (Shader*)resource->pointer;
-          break;
-#endif /* NO_SHADERS */
-        default:
-          PRINTF(2)("NOT YET IMPLEMENTED !!FIX FIX!!\n");
-          return false;
-          break;
-      }
+      delete resource->pointer;
       // deleting the List Entry:
       PRINTF(4)("Resource %s safely removed.\n", resource->name);
Index: trunk/src/lib/util/loading/resource_manager.h
===================================================================
--- trunk/src/util/loading/resource_manager.h	(revision 7167)
+++ trunk/src/lib/util/loading/resource_manager.h	(revision 7193)
@@ -65,5 +65,5 @@
 };
 
-//! A Struct that keeps track about A resource its name its Type, and so on
+//! A Struct that keeps track about a resource its name its Type, and so on
 struct Resource
 {
